# SPEC file for Tabs Open Relative Firefox extension

%define rname	tabs_open_relative
%define version 0.3.3
%define release alt1
%define cid 	tabsopenrelative@jomel.me.uk
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Tabs Open Relative plugin for Firefox
Summary(ru_RU.UTF-8):	расширение Tabs Open Relative для Firefox

License:	%mpl / %gpl2plus
Group:		Networking/WWW
URL:		https://addons.mozilla.org/en-US/firefox/addon/1956
BuildArch:	noarch

Source0:	%rname-%version-fx.xpi

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

BuildRequires(pre): rpm-build-firefox rpm-build-licenses
BuildRequires:  unzip
Requires:	%firefox_name >= 2.0  %firefox_name < 3.1

%description
Tabs Open Relative extension for Firefox browser makes all new 
tabs open to the right of the current tab,  rather than at the 
far right of the tab bar.

%description -l ru_RU.UTF-8
Расширение Tabs Open Relative для  Firefox позволяет открывать
новые табы справа от текущего, а не в конце всего списка.

%prep
%setup -c

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Jul 10 2008 Nikolay A. Fetisov <naf@altlinux.ru> 0.3.3-alt1
- New version

* Sat Dec 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.3-alt3
- Rebuild for Firefox 2.0.0.11

* Fri Nov 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.3-alt2
- Rebuild for Firefox 2.0.0.9

* Fri Oct 26 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.3-alt1
- Initial build for ALT Linux Sisyphus
